diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index 319b866..fad55c8 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -709,7 +709,10 @@ lspdir: rootdirs ${MNT}/${SYS}/bin/document ${LSP}/Makefile
 	@echo 19 making ${LSP}
 	@mkdir -p ${OBJ}/${SYS}/bin
 	@mkdir -p ${OBJ}/${SYS}/lsp
-	@(cd lsp ; ${ENV} ${MAKE} gcldir )
+	@echo =====================================
+	@echo lsp BUILDING GCL COMMON LISP
+	@echo =====================================
+	@(cd lsp ; ${ENV} ${MAKE} gcldir ) 1>/dev/null 2>/dev/null
 #	@(cd lsp ; ${ENV} ${MAKE} ccldir )
 
 <<LSPMakefile>>
diff --git a/changelog b/changelog
index b312204..e59e5d6 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20130630 tpd src/axiom-website/patches.html 20130630.01.tpd.patch
+20130630 tpd src/interp/Makefile make cleanup
+20130630 tpd src/algebra/Makefile make cleanup
+20130630 tpd Makefile make cleanup
 20130625 tpd src/axiom-website/patches.html 20130625.02.tpd.patch
 20130625 tpd src/interp/br-con.lisp move code to bookvol5
 20130625 tpd books/bookvol5 move code from br-con.lisp
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 2e12f8f..f5d42e0 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -17425,12 +17425,13 @@ ${OUT}/%.o: ${MID}/%.nrlib/code.o
 .PRECIOUS: ${MID}/%.nrlib/code.o
 ${MID}/%.nrlib/code.o: ${MID}/%.spad
 	@ echo sa07 compiling $*.spad to $*.nrlib
-	@ (cd ${MID} ; \
-	   if [ -z "${NOISE}" ] ; then \
-	    echo ")co $*.spad" | ${INTERPSYS}  ; \
+	@ if [ -z "${NOISE}" ] ; then \
+	   (cd ${MID} ; \
+	    echo ")co $*.spad" | ${INTERPSYS} ) ; \
            else \
-	     echo ")co $*.spad" | ${INTERPSYS}  1>/dev/null 2>/dev/null ; \
-	   fi )
+	   (cd ${MID} ; \
+	     echo ")co $*.spad" | ${INTERPSYS} ) 1>/dev/null 2>/dev/null ; \
+	   fi 
 
 @
 <<genericBOOTSTRAPfiles>>=
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index dd04a8d..95f1861 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4222,6 +4222,8 @@ books/bookvol5 move code from br-con.lisp
 Makefiles cleanup
 <a href="patches/20130625.02.tpd.patch">20130625.02.tpd.patch</a>
 books/bookvol5 move code from br-con.lisp
+<a href="patches/20130630.01.tpd.patch">20130630.01.tpd.patch</a>
+src/interp/Makefile make cleanup
  </body>
 </html>
 
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index bf22ba7..cd079ae 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -2933,223 +2933,70 @@ clean:
 <<debugsys>>
 <<databases>>
 
-<<br-con.o (AUTO from OUT)>>
-<<br-con.o (OUT from MID)>>
-
-<<buildom.o (OUT from MID)>>
-
-<<category.o (OUT from MID)>>
-
-<<cattable.o (OUT from MID)>>
-
-<<cfuns.o (OUT from MID)>>
-
-<<clam.lisp (OUT from IN)>>
-<<clam.o (OUT from MID)>>
-
-<<clammed.o (OUT from MID)>>
-
-<<compress.o (OUT from MID)>>
-
-<<c-util.lisp (OUT from IN)>>
-<<c-util.o (OUT from MID)>>
-
 <<debugsys.lisp (MID from IN)>>
 
-<<format.o (OUT from MID)>>
-
-<<fortcall.o (OUT from MID)>>
-
-<<functor.o (OUT from MID)>>
-
-<<g-boot.lisp (OUT from IN)>>
-<<g-boot.o (OUT from MID)>>
-
-<<g-cndata.o (OUT from MID)>>
-
-<<g-error.o (OUT from MID)>>
-
-<<g-timer.o (OUT from MID)>>
-
-<<g-util.lisp (OUT from IN)>>
-<<g-util.o (OUT from MID)>>
-
-<<http.o (OUT from MID)>>
-<<http.lisp (MID from IN)>>
-
-<<hashcode.o (OUT from MID)>>
-
-<<htcheck.o (OUT from MID)>>
-
-<<hypertex.o (OUT from MID)>>
-
-<<i-analy.o (OUT from MID)>>
-
-<<i-code.o (OUT from MID)>>
-
-<<i-coerce.o (OUT from MID)>>
-
-<<i-coerfn.o (OUT from MID)>>
-
-<<i-eval.o (OUT from MID)>>
-
-<<i-funsel.o (OUT from MID)>>
-
-<<bookvol5.o (OUT from MID)>>
 <<bookvol5.lsp (OUT from MID)>>
 <<bookvol5.lsp (MID from IN)>>
 
-<<bookvol9.o (OUT from MID)>>
 <<bookvol9.lsp (OUT from MID)>>
 <<bookvol9.lsp (MID from IN)>>
 
-<<bookvol10.5.o (OUT from MID)>>
 <<bookvol10.5.lsp (OUT from MID)>>
 <<bookvol10.5.lsp (MID from IN)>>
 
-<<i-intern.o (OUT from MID)>>
-
-<<interop.o (OUT from MID)>>
-
-<<i-map.o (OUT from MID)>>
-
-<<info.o (OUT from MID)>>
-
-<<i-output.o (OUT from MID)>>
-
-<<i-resolv.o (OUT from MID)>>
-
-<<i-spec1.o (OUT from MID)>>
-
-<<i-spec2.o (OUT from MID)>>
-
-<<iterator.o (OUT from MID)>>
-
-<<i-util.o (OUT from MID)>>
-
-<<lisplib.o (OUT from MID)>>
-
-<<match.o (OUT from MID)>>
-
-<<msgdb.o (OUT from MID)>>
-
-<<nag-c02.o (AUTO from OUT)>>
-<<nag-c02.o (OUT from MID)>>
-
-<<nag-c05.o (AUTO from OUT)>>
-<<nag-c05.o (OUT from MID)>>
-
-<<nag-c06.o (AUTO from OUT)>>
-<<nag-c06.o (OUT from MID)>>
-
-<<nag-d01.o (AUTO from OUT)>>
-<<nag-d01.o (OUT from MID)>>
-
-<<nag-d02.o (AUTO from OUT)>>
-<<nag-d02.o (OUT from MID)>>
-
-<<nag-d03.o (AUTO from OUT)>>
-<<nag-d03.o (OUT from MID)>>
-
-<<nag-e01.o (AUTO from OUT)>>
-<<nag-e01.o (OUT from MID)>>
-
-<<nag-e02.o (AUTO from OUT)>>
-<<nag-e02.o (OUT from MID)>>
-
-<<nag-e04.o (AUTO from OUT)>>
-<<nag-e04.o (OUT from MID)>>
-
-<<nag-f01.o (AUTO from OUT)>>
-<<nag-f01.o (OUT from MID)>>
-
-<<nag-f02.o (AUTO from OUT)>>
-<<nag-f02.o (OUT from MID)>>
-
-<<nag-f04.o (AUTO from OUT)>>
-<<nag-f04.o (OUT from MID)>>
-
-<<nag-f07.o (AUTO from OUT)>>
-<<nag-f07.o (OUT from MID)>>
-
-<<nag-s.o (AUTO from OUT)>>
-<<nag-s.o (OUT from MID)>>
-
-<<newfort.o (OUT from MID)>>
-
-<<nocompil.lisp (OUT from MID)>>
-
-<<nruncomp.o (OUT from MID)>>
-
-<<nrunfast.o (OUT from MID)>>
-
-<<nrungo.o (OUT from MID)>>
-
-<<nrunopt.o (OUT from MID)>>
-
-<<parsing.o (AUTO from OUT)>>
-<<parsing.o (OUT from MID)>>
-<<parsing.lisp (OUT from MID)>>
-
-<<patches.o (OUT from MID)>>
-
-<<posit.o (OUT from MID)>>
-
-<<profile.o (OUT from MID)>>
-
-<<record.o (OUT from MID)>>
-
-<<regress.o (OUT from MID)>>
-
-<<rulesets.o (OUT from MID)>>
-
-<<server.o (OUT from MID)>>
-
-<<sfsfun.o (OUT from MID)>>
-
-<<sfsfun-l.o (OUT from MID)>>
-
-<<simpbool.o (OUT from MID)>>
-
-<<slam.lisp (AUTO from OUT)>>
-<<slam.lisp (OUT from MID)>>
-
-<<sockio.o (OUT from MID)>>
-
-<<sys-pkg.lisp (OUT from MID)>>
-
-<<template.o (OUT from MID)>>
-
-<<termrw.o (OUT from MID)>>
+<<warm.data.stanza>>
 
-<<topics.o (AUTO from OUT)>>
-<<topics.o (OUT from MID)>>
+${MID}/http.lisp: ${IN}/http.lisp
+	@ echo si110 making ${MID}/http.lisp from ${IN}/http.lisp
+	@( cp ${IN}/http.lisp ${MID}/http.lisp )
 
-<<util.o (OUT from MID)>>
-<<util.lisp (OUT from MID)>>
+${OUT}/%.${LISP}: ${MID}/%.lisp
+	@ echo siOUTfromMID making ${OUT}/$*.lisp from ${MID}/$*.lisp
+	@cp ${MID}/$*.lisp ${OUT}/$*.${LISP}
 
-<<vmlisp.o (OUT from MID)>>
+${OUT}/%.lisp: ${IN}/%.lisp.pamphlet
+	@ echo siOUTfromIN making ${OUT}/$*.lisp from ${IN}/$*.lisp.pamphlet
+	@ rm -f ${OUT}/$*.${O}
+	@( cd ${OUT} ; \
+          echo '(tangle "${IN}/$*.lisp.pamphlet" "*" "$*.lisp")' \
+        | ${OBJ}/${SYS}/bin/lisp ) 1>/dev/null 
 
-<<warm.data.stanza>>
+${OUT}/%.o: ${MID}/%.lisp
+	@ echo siOUTfromMID making ${OUT}/$*.o from ${MID}/$*.lisp
+	@ if [ -z "${NOISE}" ] ; then \
+	   (cd ${MID} ; \
+	    echo '(progn  (compile-file "$*.lisp"' \
+             ':output-file "${OUT}/$*.o") (${BYE}))' | ${DEPSYS} ) ; \
+	   else \
+	    (cd ${MID} ; \
+	     echo '(progn  (compile-file "$*.lisp"' \
+             ':output-file "${OUT}/$I.o") (${BYE}))' | ${DEPSYS} ) \
+              1>/dev/null 2>/dev/null ; \
+	   fi 
 
-#${OUT}/%.o: ${MID}/%.lisp
-#	@ echo generic making ${OUT}/$*.o from ${MID}/$*.lisp
-#	@ ( cd ${MID} ; \
-#	   if [ -z "${NOISE}" ] ; then \
-#	    echo '(progn  (compile-file "vmlisp.lisp"' \
-#             ':output-file "${OUT}/$*.o") (${BYE}))' | ${DEPSYS} ; \
-#	   else \
-#	    echo '(progn  (compile-file "vmlisp.lisp"' \
-#             ':output-file "${OUT}/$I.o") (${BYE}))' | ${DEPSYS} \
-#              1>/dev/null 2>/dev/null ; \
-#	   fi )
-#
 ${MID}/%.lisp: ${IN}/%.lisp.pamphlet
 	@ echo siMIDfromIN making ${MID}/$*.lisp from ${IN}/$*.lisp.pamphlet
 	@ (cd ${MID} ; \
           ( echo '(tangle "${IN}/$*.lisp.pamphlet" "*" "$*.lisp")' \
           | ${OBJ}/${SYS}/bin/lisp 1>/dev/null ) )
 
+${AUTO}/%.${O}: ${OUT}/%.${O}
+	@ echo siAUTOfromOUT making ${AUTO}/$*.${O} from ${OUT}/$*.${O}
+	@ cp ${OUT}/$*.${O} ${AUTO}
+
+${OUT}/%.${O}: ${MID}/%.${LISP}
+	@ echo si123 making ${OUT}/$*.${O} from ${MID}/$*.${LISP}
+	@  if [ -z "${NOISE}" ] ; then \
+	 (cd ${MID} ; \
+	   echo '(progn  (compile-file "${MID}/$*.${LISP}"' \
+             ':output-file "${OUT}/$*.${O}") (${BYE}))' | ${DEPSYS} ) ; \
+	  else \
+	  (cd ${MID} ; \
+	   echo '(progn  (compile-file "${MID}/$*.${LISP}"' \
+             ':output-file "${OUT}/$*.${O}") (${BYE}))' | ${DEPSYS} ) \
+              1>/dev/null 2>/dev/null ; \
+	  fi 
+
 @
 \eject
 \begin{thebibliography}{99}
